[SRU] gst-plugins-bad0.10 needs rebuilding with mjpegtools to enable burning video with Brasero

Bug #270976 reported by David Prieto
202
This bug affects 28 people
Affects Status Importance Assigned to Milestone
Brasero
Invalid
Medium
brasero (Ubuntu)
Low
Ubuntu Desktop Bugs
Jaunty
Undecided
Unassigned
gst-plugins-bad-multiverse0.10 (Ubuntu)
Medium
Unassigned
Jaunty
Low
Onkar Shinde

Bug Description

I'm using Brasero 0.8.2 on Intrepid. Now brasero seems to have video DVD support, but if I try to burn a video file, in the burn dialogue the burn button is greyed out without a clue of how to fix the problem. That's very disorienting.

SRU JUSTIFICATION:

With brasero being the default burning application in Jaunty, many users will want to burn Video-CDs/DVDs. The problem is that gst-plugins-bad miss some ffmpeg-encoders due to not being built with mjpegtools support. From the buildlog:

configure: *** Plug-ins with dependencies that will NOT be built:
 mpeg2enc
 mplex

This results in brasero not being able to burn Video.

The issue can be fixed by adding libmjpegtools-dev (>= 1.9.0) to the build-depends.

SRU TEST CASE:

Make sure you got all the necessary plugins installed:

gstreamer0.10-plugins-bad, gstreamer0.10-ffmpeg, gstreamer0.10-plugins-bad-multiverse, libavcodec-unstripped-52 and vcdimager

Open brasero with "brasero -g > log.txt 2>&1"

Check in log.txt that the libbrasero-vob.so plugin fails to load.

Now install gstreamer0.10-plugins-bad-multiverse from ppa (https://edge.launchpad.net/~amoog/+archive/ppa/)

Reopen brasero again, you'll now notice that libbrasero-vob.so plugin will load. Consequently, Video burning now works as expected.

NOTE: due to bug 351017 you will encounter a SIGILL if you convert video to mpeg2 and are running a non-pentium4 architecture. A fix for that has already been accepted in jaunty-proposed.

SRU REGRESSION POTENTIAL:

Low to non-existent since there is no code change and only 2 plugins more are built and installed.

Revision history for this message
David Prieto (frandavid100-gmail) wrote :
Revision history for this message
Pedro Villavicencio (pedro) wrote :

hi David, thanks for the report, could you get a brasero log with : brasero --debug &> brasero.log and attach it to the report? thanks.

Changed in brasero:
assignee: nobody → desktop-bugs
importance: Undecided → Low
status: New → Incomplete
Revision history for this message
David Prieto (frandavid100-gmail) wrote :

There you are. I hope that's what you need, please let me know if you need any further information.

Revision history for this message
Pedro Villavicencio (pedro) wrote :

I'm getting the same here, it could be due to the missing programs as: (brasero:7577): BraseroBurn-DEBUG: At burn-plugin.c:994: Module encountered an error while registering its capabilities:
No se pudo encontrar vcdimager en la ruta

there's a few errors like those in my machine also, I'll install those and report back, thanks.

Changed in brasero:
status: Incomplete → Confirmed
Revision history for this message
David Prieto (frandavid100-gmail) wrote :

Installing vcdimager doesn't seem to solve the problem.

Here's what I get when I launch Brasero from the terminal:

(brasero:7181): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.18.0/gobject/gsignal.c:2384: instance `0x9caeda8' has no handler with id `1640'

(brasero:7181): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.18.0/gobject/gsignal.c:2384: instance `0x9caeda8' has no handler with id `1641'

Revision history for this message
Pedro Villavicencio (pedro) wrote :

could somebody having the issue send this to bugzilla.gnome.org? thanks in advance.

Revision history for this message
Geofrey Burgos (grburgos) wrote :

Same happens when you try to create a video project and try to burn it.

Revision history for this message
Martin Mai (mrkanister-deactivatedaccount-deactivatedaccount) wrote :

Forwarded upstream.

Changed in brasero:
importance: Undecided → Unknown
status: New → Unknown
Revision history for this message
christoph (christophs) wrote :

I also have this problem (intrepid 64 bit).

Revision history for this message
Rick Gabriel (klaxian1) wrote :

I can confirm that this problem still exists in Brasero 0.8.4. There is a message displayed now though indicating that the DVD cannot be burned with the enabled plugins. However, I have every recommended package installed. I am not sure what is missing and the debug log is no help either.

Revision history for this message
Magnus S (magnuss) wrote :

Yeah, i got this one too. It is impossible to burn a video or audio project, but it seems that i can burn data and iso files. I have tried this with two dvd-recorders and the media is dvd+rw and dvd-r.
A complete removal -> re-installation of brasero did not fix this issue.

brasero:
  Installed: 0.8.2-0ubuntu1
  Candidate: 0.8.2-0ubuntu1
  Version table:
 *** 0.8.2-0ubuntu1 0
        500 http://se.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status
I am on Intrepid up-to-date.
Linux magnus-laptop 2.6.27-9-generic #1 SMP Thu Nov 20 21:57:00 UTC 2008 i686 GNU/Linux

Attaching a debug and a backtrace.

Revision history for this message
Magnus S (magnuss) wrote :
Changed in brasero:
status: Confirmed → Triaged
Changed in brasero:
status: Unknown → New
Revision history for this message
christoph (christophs) wrote :

Also see question #50602. It seems these people are experiencing the same problem.

Revision history for this message
Magnus S (magnuss) wrote :

Attaching a strace.

Revision history for this message
Magnus S (magnuss) wrote :

A few posts in the forums are touching this issue as well.
http://ubuntuforums.org/search.php?searchid=54163586

Revision history for this message
Sven Müller (svenho) wrote :

Same problem here on Ubuntu 8.10 32bits

Revision history for this message
Holy Smoke (holysmoke-1) wrote :

I thought I was going to be happy with Ubuntu in place of Windows XP. It seems like we can't escape the buggy programs after all. Maybe I should call Terminex to straighten out Brasero.

Revision history for this message
Guiodic (Guido Iodice) (guido-iodice) wrote :

I confirm the bug. I update brasero to 0.9.1 from getdeb, but it doesn't solve the problem.

BUT with a .vob file the button is not grayed.
So, I thik the problem is about brasero-gstreamer interaction.

I installed all gstreamer plugin, and alla library related to ffmpeg and dvd (like libdvd)... this dosen't solve the problem.

Revision history for this message
Holy Smoke (holysmoke-1) wrote : Re: [Bug 270976] Re: Brasero can't burn a video DVD

Thanks good buddy for the info. If I get it solved before you do, I will let you know.

Holy Smoke

____________________________________________________________
Criminal Lawyers - Click here.
http://thirdpartyoffers.juno.com/TGL2131/fc/PnY6rbv2k8oLOOOf59taYHvgDLcV9o619lamqrwWUEDtz5HDGOR2b/

Changed in brasero:
status: New → Incomplete
Revision history for this message
Pedro Villavicencio (pedro) wrote : Re: Brasero can't burn a video DVD

comment on the upstream tracker:

"the problem is the libbrasero-vob.so plugin that doesn't
want to be loaded. It's because you don't have either:
-ffenc_mpeg2video
-ffenc_ac3
-ffenc_mp2
-mplex

"
could you also try to install those and see if it's still an issue?

Changed in brasero:
status: Triaged → Incomplete
Revision history for this message
netztrip (netztrip) wrote :

gstreamer0.10-plugins-bad is missing the mplex plugin (libgstmplex.so) which is needed by Brasero to create a valid video cd/dvd structure.

The attached debdiff adds a required build dependency to gst-plugins-bad0.10 in order to resolve this problem.

Please note that the packages gstreamer0.10-ffmpeg, gstreamer0.10-plugins-bad-multiverse and libavcodec-unstripped-52 are also needed by Brasero. Maybe they should be added as a suggestion to the brasero package.

I hope this will help.

Changed in brasero:
status: Incomplete → Invalid
Revision history for this message
hapsis (hapsis-kotiposti) wrote :

Hi!

I have the same problem (intrepid 32bit) I don't understand - how should I use that .debdiff -file? Is there solution / fix to this issue yet?

- Hapsis

Revision history for this message
charwhee (charwhee) wrote :
Revision history for this message
Mathieu Brethes (mathieu-brethes) wrote :

libavcodec-unstripped-52 is not provided in the standard Ubuntu 8.10 repositories. There is libavcodec-unstripped-51, but that doesn't seem to help.

Revision history for this message
Mathieu Brethes (mathieu-brethes) wrote :

Also, while following the "BuildFromDebdiff" tutorial from above, I stumble upon the following error at the stage where I type "sudo apt-get build-dep gstreamer0.10-plugins-bad":

E: La dépendance Build-Depends vis-à-vis de gst-plugins-bad0.10 ne peut être satisfaite car aucune version du paquet libcelt-dev ne peut satisfaire à la version requise

(in English: the dependency Build-Depends of gst-plugins-bad0.10 cannot be satisifed because no version of the package libcelt-dev can satisfy to the version requirements)

Any insights?

Revision history for this message
Andrei Vacariu (avacariu) wrote :

Download the latest version from GetDeb.net and try again.

Revision history for this message
christoph (christophs) wrote :

I tried:
$ dpkg-query -W brasero
brasero 0.9.1-1~getdeb3

(intrepid 64bit)

But it still doesn't work. (See attached Screenshot).
I tried with .avi videos.

Revision history for this message
Achim (ach1m) wrote :

As it seems this bug isn't a problem of Brasero but rather a problem of gstreamer-plugins-bad.

As already mentioned in this report, this is the comment from an upstream Brasero developer.
http://bugzilla.gnome.org/show_bug.cgi?id=564169#c6

This are the requirements to make the Video Project work.

-ffenc_mpeg2video
-ffenc_ac3
-ffenc_mp2
-mplex

It would be great if the this bug could be resolved before the final release of Jaunty.

Regards
Achim

Revision history for this message
Achim (ach1m) wrote :

Not a bug of Brasero but rather of the gstreamer-plugins-bad package.

Changed in brasero:
status: Incomplete → Invalid
Revision history for this message
David Prieto (frandavid100-gmail) wrote :

So, as a user, is there a workaround until we get a proper fix?

Changed in gstreamer0.10 (Ubuntu):
status: New → Confirmed
Revision history for this message
Timothy Palpant (timothypalpant) wrote :

Can someone post built packages containing that debdiff? I don't understand why this is still around in Jaunty. As mentioned on the upstream bug report, Jaunty contains the proper version of mjpegtools; all that has to happen is for the gstreamer-plugins-bad package to be rebuilt to include it.

Revision history for this message
Andreas Moog (ampelbein) wrote :

A testbuild is waiting in my ppa to be built. I tried building locally and the resulting binary resolved the problem. debdiff attached.

affects: gstreamer0.10 (Ubuntu) → gst-plugins-bad0.10 (Ubuntu)
Changed in gst-plugins-bad0.10 (Ubuntu):
importance: Undecided → Medium
Revision history for this message
Andreas Moog (ampelbein) wrote :

gst-plugins-bad0.10 (0.10.11-2ubuntu2) jaunty; urgency=low

  * debian/build-deps.in:
    - add build-depends on libmjpegtools-dev (>= 1.9.0) to build mplex-
      plugin. (LP: #270976)
  * debian/gstreamer-plugins-bad.install:
    - add mplex-plugin

 -- Andreas Moog <email address hidden> Mon, 20 Apr 2009 18:43:19 +0200

Revision history for this message
Timothy Palpant (timothypalpant) wrote :

The package in your PPA fixed the problem for me! Any chance of getting this into backports at least? It's a rather annoying bug that seems to affect a lot of people (google for it).

Thanks! Would be glad to do any additional testing if you need it.

Revision history for this message
Attila Hammer (hammera) wrote : Re: [Bug 270976] Re: Brasero can't burn a video DVD

Andreas, your ppa package solves my problem, possible upload default
with Jaunty and backport with Intrepid?

Thanks your package!

Attila

Andreas Moog (ampelbein)
description: updated
summary: - Brasero can't burn a video DVD
+ [SRU] gst-plugins-bad0.10 needs rebuilding with mjpegtools to enable
+ burning video with Brasero
Revision history for this message
Andreas Moog (ampelbein) wrote :

Updated debdiff which also installs mpeg2enc plugin to correct location.

gst-plugins-bad0.10 (0.10.11-2ubuntu2) jaunty; urgency=low

  * debian/build-deps.in:
    - add build-depends on libmjpegtools-dev (>= 1.9.0) to build mplex-
      plugin. (LP: #270976)
  * debian/gstreamer-plugins-bad.install:
    - add mplex-plugin
    - add mpeg2enc-plugin

 -- Andreas Moog <email address hidden> Mon, 20 Apr 2009 18:43:19 +0200

Revision history for this message
Andreas Moog (ampelbein) wrote :

The package should be -bad-multiverse since mjpegtools sits in multiverse, not universe.

affects: gst-plugins-bad0.10 (Ubuntu) → gst-plugins-bad-multiverse0.10 (Ubuntu)
Revision history for this message
Andreas Moog (ampelbein) wrote :

Note for those who installed my ppa-version of gst-plugins-bad0.10: please revert to the official jaunty version and install -bad-multiverse0.10 from my ppa.

Correct debdiff against gst-plugins-bad-multiverse0.10 attached.

gst-plugins-bad-multiverse0.10 (0.10.11-0ubuntu2) jaunty-proposed; urgency=low

  * debian/control
    - updated build dep for libmjpegtools to >=1.9 to build mplex plugin
  * debian/gstreamer0.10-plugins-bad-multiverse.install
    - add mplex plugin

 -- Andreas Moog <email address hidden> Tue, 21 Apr 2009 17:32:40 +0200

description: updated
Revision history for this message
Andreas Moog (ampelbein) wrote :
Revision history for this message
Vlad (vladc6) wrote :

It would be really nice to have this fix in the Jaunty 9.04 CDs - otherwise users who install this version of Ubuntu won't be able to burn Video DVDs, which would be a shame given that a fix already exists.

Revision history for this message
Attila Hammer (hammera) wrote : Re: [Bug 270976] Re: [SRU] gst-plugins-bad0.10 needs rebuilding with mjpegtools to enable burning video with Brasero

Andreas, Yesterday I installed your gst0.10-plugins-bad package with
your ppa repository my notebook (multiverse version).
Unfortunately, the video project writing now does'nt work my notebook.
In monday, this problem not see my desktop machine, but monday other
gst-plugins-bad package have your repository if I remember correct.
Have anybody confirm this problem, or my system not work correct?

Attila

Revision history for this message
Robert Buhren (weelkin) wrote :

I just installed your packages but it still doesn't work. Heres what brasero says :

(brasero:6263): BraseroBurn-DEBUG: At burn-plugin.c:1030: Module encountered an error while registering its capabilities:
Element "ffenc_mpeg2video" konnte nicht erzeugt werden
(brasero:6263): BraseroBurn-DEBUG: At burn-plugin-manager.c:469: Load failure, no GType was returned Element "ffenc_mpeg2video" konnte nicht erzeugt werden

Revision history for this message
Andreas Moog (ampelbein) wrote :

Attila, Robert: Please check that the command

ffmpeg -formats | grep mpeg

gives something like:

andreas@apophis:~$ ffmpeg -formats | grep mpeg2
FFmpeg version 0.5-svn17737+3:0.svn20090303-1ubuntu6, Copyright (c) 2000-2009 Fabrice Bellard, et al.
  configuration: --enable-gpl --enable-postproc --enable-swscale --enable-x11grab --extra-version=svn17737+3:0.svn20090303-1ubuntu6 --prefix=/usr --enable-avfilter --enable-avfilter-lavf --enable-libgsm --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-pthreads --disable-stripping --disable-vhook --enable-libdc1394 --disable-armv5te --disable-armv6 --disable-armv6t2 --disable-armvfp --disable-neon --disable-altivec --disable-vis --enable-shared --disable-static
  libavutil 49.15. 0 / 49.15. 0
  libavcodec 52.20. 0 / 52.20. 0
  libavformat 52.31. 0 / 52.31. 0
  libavdevice 52. 1. 0 / 52. 1. 0
  libavfilter 0. 4. 0 / 0. 4. 0
  libswscale 0. 7. 1 / 0. 7. 1
  libpostproc 51. 2. 0 / 51. 2. 0
  built on Apr 10 2009 23:18:41, gcc: 4.3.3
  E mpeg2video raw MPEG-2 video
 DEVSDT mpeg2video MPEG-2 video

If that's the case, please rebuild your gstreamer-registry with

rm $HOME/.gstreamer0.10/*.bin
gst-inspect0.10

After that, please run

gst-inspect0.10 | grep mpeg2

and check that there is

ffmpeg: ffenc_mpeg2video: FFMPEG MPEG-2 video encoder

mentioned.

Revision history for this message
Attila Hammer (hammera) wrote :

I doed the requested commands, and send two output file:
1. ffmpegoutput.txt - the ffmpeg -formats | grep mpeg2 output
2. gst-inspect0.10output.txt: gst-inspect0.10 | grep mpeg2 output

Unfortunately, if no disc in my notebook DVD-Rw drive, the write button
was displayed, but if have any writable disc, the write button is grayed.

Attila

Revision history for this message
Andreas Moog (ampelbein) wrote :

That seems to be a different problem. Could you open a new bug report on that issue and attach the file produced by

brasero -g > log.txt 2>&1

That will help us resolve that problem.

Andreas Moog (ampelbein)
description: updated
Revision history for this message
O. Emmerson (oemmerson) wrote :

I have this bug on jaunty when trying to burn a SVCD of an avi file.

Upgrading to gst-plugins-bad-multiverse0.10 - 0.10.11-0ubuntu2~ppa4 from Andreas's PPA fixed the problem for me.

Thanks

Revision history for this message
Aldo Culquicondor (aldo-culquicondor) wrote :

<<Now install gstreamer0.10-plugins-bad-multiverse from ppa (https://edge.launchpad.net/~amoog/+archive/ppa/)>>
That package doesn't exist.

Revision history for this message
Noam Yorav-Raphael (noamraph) wrote :

I added the PPA and installed the packages from it.

Running "gst-inspect0.10 | grep mpeg2" prints a line "ffmpeg: ffenc_mpeg2video: FFMPEG MPEG-2 video encoder"

But I still get the annoying "plugins" message and brasero will not burn a dvd... :(

Do you have any idea what should be done?

Revision history for this message
garyjefferson (garyjefferson123) wrote :

Andreas, I am running 9.04 with default installation and still encounter the

(brasero:8204): BraseroBurn-DEBUG: At burn-plugin.c:1030: Module encountered an error while registering its capabilities: "ffenc_mpeg2video" element could not be created
(brasero:8204): BraseroMedia-DEBUG: At scsi-get-performance.c:127: Unaligned data (24) setting to max (2048)
(brasero:8204): BraseroBurn-DEBUG: At burn-plugin-manager.c:469: Load failure, no GType was returned "ffenc_mpeg2video" element could not be created

problem, even after installing your version of -bad-multiverse0.10 from ppa.

output from 'ffmpeg -formats' and 'gst-inspect0.10' is as you describe above.

Is there something else I can check or attach to try to uncover what is going on?

Revision history for this message
garyjefferson (garyjefferson123) wrote :

I take it back: after rm'ing $HOME/.gstreamer0.10/*.bin and rerunning gst-inspect, it seems I can do video now (well, almost, now I'm running into "**ERROR: [brasero] Too many frame drops -exiting", but that's an entirely different issue).

Thanks!

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-plugins-bad-multiverse0.10 - 0.10.13-0ubuntu1

---------------
gst-plugins-bad-multiverse0.10 (0.10.13-0ubuntu1) karmic; urgency=low

  * New upstream release.
  * debian/build-deps.in
    - Remove unnecessary build dependency gtk-doc-tools. There is no
      -multiverse-doc package.
    - Remove build dependency python-xml. Package does not exist anymore.
    - Remove build dependency libx264-dev. x264 plugin will move to
      -ugly-multiverse.
  * debian/control.in
    - Add XB-GStreamer-* fields.
    - Replace Source-Version with binary-Version.
    - Add Provides field.
    - Update standards version to 3.8.2. No change needed.
  * debian/rules
    - Disable few more plugins built by default but not shipped in the package.
    - Enable previously disabled mplex plugin.
  * debian/gstreamer-plugins-bad-multiverse.install
    - Remove x264 plugin. Will move to -ugly-multiverse now.
    - Add mplex plugin. (LP: #270976)

 -- Onkar Shinde <email address hidden> Wed, 24 Jun 2009 03:28:47 +0530

Changed in gst-plugins-bad-multiverse0.10 (Ubuntu):
status: Confirmed → Fix Released
Revision history for this message
David Prieto (frandavid100-gmail) wrote :

I just updated to 0.10.13-0ubuntu1, removed $HOME/.gstreamer0.10 and reran gst-inspect but I'm still getting the same message from Brasero.

Revision history for this message
Onkar Shinde (onkarshinde) wrote :

David,

Did you mahually installed the -multiverse package from karmic?

Revision history for this message
David Prieto (frandavid100-gmail) wrote :

Onkar, it turns out I hadn't installed vcdimager, that's why brasero couldn't burn (or create) the image.

Anyway, shouldn't brasero prompt you to install missing packages? I would never have guessed that I had to install that particular package, were it not for this report.

Revision history for this message
Sb (sb56637) wrote :

I tried installing the karmic gst-plugins-bad-multiverse0.10 on Jaunty and rebuilding the gst database, but Brasero still can't burn video DVDs.

Revision history for this message
Sb (sb56637) wrote :

"I tried installing the karmic gst-plugins-bad-multiverse0.10 on Jaunty and rebuilding the gst database, but Brasero still can't burn video DVDs."

Sorry, forget about that, I didnt have libavcodec-unstripped-52 installed. We really need to fix the dependencies or at least the recommends for brasero, or create a brasero-video-illegal package or something to simplify this.

Revision history for this message
poikiloid (efelthauser) wrote :

I'm sorry but WHY DOESN'T SOMEONE JUST ADD THESE FIXES TO THE REPOS FOR AUTOMATIC UPDATE. THIS IS REALLY OBNOXIOUS. HOW AM I SUPPOSED TO KNOW HOW TO ADD GSTREAMER PLUGINS. AND WHY SHOULD I? THE PROBLEM IS STILL THERE IN JAUNTY AS OF SEPTEMBER 5 2009. WHEN WILL IT BE FIXED?????

THANKS

Revision history for this message
David Norman (deekayen) wrote :

poikiloid: I suspect it will be fixed when someone with the knowledge, access rights, and time gets personally affected by it and then they will fix it, as with all other things in the open source, free software, gpl, etc. environment. In the meantime, your implied sense of entitlement and virtual screaming is just spamming all us subscribers that have better things to do than to read your complaint.

Since you're passionate about it being fixed, perhaps you could actually help by hiring someone to fix it or offer a bounty or switch to k3b for your project for a while.

Revision history for this message
poikiloid (efelthauser) wrote :

sorry, that was my grandma. she cracked my password database again last night :(
i talked to her about why she wrote that, and from what i could get out of her, i think she got frustrated trying to burn michael jackson music videos for her friends or something. anyway, she regrets her bad attitude and testy tone and she was wondering, what dollar amount would be reasonable should she offer to have someone work on this?
her social security has kept her living off the fat of the land, so she's willing to shell out top dollar for a speedy, successful outcome.

Revision history for this message
Ben Straton (fanum) wrote :

poikiloid: Um... Ok, well if your interested in helping solve this issue (or hiring someone to), I would suggest looking at http://www.getafreelancer.com/ and see what similar projects are going for. If you decide you would like to post an ad there to find someone to help with this, and need help writing the description, post back here and I or someone else would be happy to help you describe the project.

Revision history for this message
Koen (gorgabal) wrote :

I am confirming this bug on ubuntu karmic beta. with the latest updates.

can someone confirm this is being worked on? i see the status is "fix-released" but i do not notice this on my pc in any way.

since the fixed is officially released, when does it reach my update-manager?

Revision history for this message
Onkar Shinde (onkarshinde) wrote :

@Koen,

The bug was fixed ages ago in karmic. Have you installed gstreamer0.10-plugins-bad-multiverse?

Revision history for this message
Koen (gorgabal) wrote : Re: [Bug 270976] Re: [SRU] gst-plugins-bad0.10 needs rebuilding with mjpegtools to enable burning video with Brasero

jup, that one is installed.
gstreamer0.10-plugins-bad-multiverse is installed
gstreamer0.10-plugins-bad-multiverse-dbg is not installed.

still get some plugin error-message with a karmic beta installed 1 week ago.

what can i do to (help) fix it?

2009/10/7 Onkar Shinde <email address hidden>

> @Koen,
>
> The bug was fixed ages ago in karmic. Have you installed gstreamer0.10
> -plugins-bad-multiverse?
>
> --
> [SRU] gst-plugins-bad0.10 needs rebuilding with mjpegtools to enable
> burning video with Brasero
> https://bugs.launchpad.net/bugs/270976
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in A disc burning application for gnome 2: Invalid
> Status in “brasero” package in Ubuntu: Invalid
> Status in “gst-plugins-bad-multiverse0.10” package in Ubuntu: Fix Released
>
> Bug description:
> I'm using Brasero 0.8.2 on Intrepid. Now brasero seems to have video DVD
> support, but if I try to burn a video file, in the burn dialogue the burn
> button is greyed out without a clue of how to fix the problem. That's very
> disorienting.
>
> SRU JUSTIFICATION:
>
> With brasero being the default burning application in Jaunty, many users
> will want to burn Video-CDs/DVDs. The problem is that gst-plugins-bad miss
> some ffmpeg-encoders due to not being built with mjpegtools support. From
> the buildlog:
>
> configure: *** Plug-ins with dependencies that will NOT be built:
> mpeg2enc
> mplex
>
> This results in brasero not being able to burn Video.
>
> The issue can be fixed by adding libmjpegtools-dev (>= 1.9.0) to the
> build-depends.
>
> SRU TEST CASE:
>
> Make sure you got all the necessary plugins installed:
>
> gstreamer0.10-plugins-bad, gstreamer0.10-ffmpeg,
> gstreamer0.10-plugins-bad-multiverse, libavcodec-unstripped-52 and vcdimager
>
> Open brasero with "brasero -g > log.txt 2>&1"
>
> Check in log.txt that the libbrasero-vob.so plugin fails to load.
>
> Now install gstreamer0.10-plugins-bad-multiverse from ppa (
> https://edge.launchpad.net/~amoog/+archive/ppa/<https://edge.launchpad.net/%7Eamoog/+archive/ppa/>
> )
>
> Reopen brasero again, you'll now notice that libbrasero-vob.so plugin will
> load. Consequently, Video burning now works as expected.
>
> NOTE: due to bug 351017 you will encounter a SIGILL if you convert video to
> mpeg2 and are running a non-pentium4 architecture. A fix for that has
> already been accepted in jaunty-proposed.
>
> SRU REGRESSION POTENTIAL:
>
> Low to non-existent since there is no code change and only 2 plugins more
> are built and installed.
>

--
Groet Koen

Revision history for this message
Koen (gorgabal) wrote :

@Onkar
jup, that one is installed.
gstreamer0.10-plugins-bad-multiverse is installed
gstreamer0.10-plugins-bad-multiverse-dbg is not installed.

still get some plugin error-message with a karmic beta installed 1 week ago.

what can i do to (help) fix it?

Revision history for this message
Onkar Shinde (onkarshinde) wrote :

@Koen,

You can tell me what exactly the error says (probably a screenshot). Also you can try launching brasero from terminal and then try to create the video DVD. Then paste here whatever errors you see on terminal.

Revision history for this message
Koen (gorgabal) wrote :

fine, here is a screen-shot of the terminal and brasero.

it is dutch, roughly translated:

"please replace the disk for an supported one"
"it is not possible to write with current plug-ins"

i hope it will help, the terminal does not give any error-message's

Revision history for this message
Onkar Shinde (onkarshinde) wrote :

@Koen,

Yours seem to be different issue (may not be a bug). Do you have dvdauthor package installed?

Revision history for this message
Koen (gorgabal) wrote :

@Onkar

thx. that was the problem, it is now fixed.

Just weird my system didn't install that automatically. but i am happy now.

Revision history for this message
Onkar Shinde (onkarshinde) wrote :

@Koen,

dvdauthor is in universe repository. So brasero can not depend on it or recommend it.

Revision history for this message
Koen (gorgabal) wrote :

@Onkar
so how is a noob supposed to handle this? i was only able to know it cause i asked it.

btw: i looked into synaptic, brasero does recommend dvdauthor.

Revision history for this message
Gavin Hamill (gdh) wrote :

Rather than the fairly unhelpful 'it is not possible to write with the current set of plugins', might the message be patched to suggest the user installs 'dvdauthor' to enable DVD-video burning?

Hence, no hours of programming skill required - just a one-line text change.

Revision history for this message
John Dong (jdong) wrote :

This is an ACK from MOTU-SRU for Jaunty for adding the build-dep. However, please correctly version the package version for a SRU.

Revision history for this message
Ben Straton (fanum) wrote :

The upgrade to karmic solved this problem for me, even though i had gtreamer plugins and dvdauthor in jaunty, it still would not work. Working in karmic is good enough for me (although i would of liked to find the source of the problem)

Changed in gst-plugins-bad-multiverse0.10 (Ubuntu Jaunty):
assignee: nobody → Onkar Shinde (onkarshinde)
importance: Undecided → Low
Revision history for this message
Ben Straton (fanum) wrote :

Can we close this bug, since karmic fixed it (installing dvdauthor and gstreamer plugins), or do we need to keep it open because it still effects jaunty?

Revision history for this message
John Dong (jdong) wrote :

Jaunty tasks are open for SRU, other tasks are closed already.

Revision history for this message
Martin Pitt (pitti) wrote : Please test proposed package

Accepted gst-plugins-bad-multiverse0.10 into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in brasero (Ubuntu Jaunty):
status: New → Invalid
Changed in gst-plugins-bad-multiverse0.10 (Ubuntu Jaunty):
status: New → Fix Committed
tags: added: verification-needed
Revision history for this message
Martin Pitt (pitti) wrote :

Anyone who can test the proposed package? If not, the proposed update will be removed again. Thanks!

Revision history for this message
Koen (gorgabal) wrote :

@ Martin Pitt

i would love to ( got re-writeble dvd anyway ), but i do not know how to test it. please explain. ( i use LinuxMint, but that shouldt make a difference, does it? )

Revision history for this message
Martin Pitt (pitti) wrote :

Koen, no need for a DVD, just install the package from jaunty-proposed as described on https://wiki.ubuntu.com/Testing/EnableProposed . Thanks!

Revision history for this message
Koen (gorgabal) wrote :

sry, ik kinda already dit an OShop to kubuntu, wich doen not have brasero. i am still going to test it in a virtualmachine, wait for my feedback.

Revision history for this message
Koen (gorgabal) wrote :

alright.. i enabled jaunty-proposed in a virtualmachine. typit in a terminal:

sudo aptitude install gst-plugins-bad-multiverse0.10

but it says there is no package with that name. i am really new at testing so could you please help me out?

Revision history for this message
Onkar Shinde (onkarshinde) wrote :

Koen,

The correct package name is gstreamer0.10-plugins-bad-multiverse.

Revision history for this message
Koen (gorgabal) wrote :

bad news... did the testing, but still the same error. what can i do to help with his issue?

Revision history for this message
Raphael Jolly (raphael-jolly) wrote :

Same issue in Lucid Lynx.

Revision history for this message
Martin Pitt (pitti) wrote :

This update has been in jaunty-proposed for half a year or longer, without any testing feedback. I removed the jaunty-proposed package again.

Changed in gst-plugins-bad-multiverse0.10 (Ubuntu Jaunty):
status: Fix Committed → Won't Fix
Changed in brasero:
importance: Unknown → Medium
Revision history for this message
AFarris01 (afarris01) wrote :

Ok, sorry to resurrect such an old bug, but I'm still seeing this issue in Brasero, as of today (9-13-14) on an install of Ubuntu 14.04. Is there anything I can do to help track this down? This has been frustrating me for the past 4 hours as to why I can't burn a video file onto a DVD so my parents can watch it on their TV...

I've tried every suggestion in this thread, and there was no change in the behavior of the program, though everything that was suggested to install was already in the system. I tried deinstallign and reinstalling jsut to be sure, but no dice.

Revision history for this message
willie (williebobsancheezpaul) wrote : Re: [Bug 270976] Re: [SRU] gst-plugins-bad0.10 needs rebuilding with mjpegtools to enable burning video with Brasero
Download full text (3.2 KiB)

yes.. use a program called K3B it is far superior in my mind.. when you open in the middle bottom it will have a selection of actions.. under more actions is the video DVD project that should wet you up fine :)

On Saturday, September 13, 2014 11:01 PM, AFarris01 <email address hidden> wrote:

Ok, sorry to resurrect such an old bug, but I'm still seeing this issue
in Brasero, as of today (9-13-14) on an install of Ubuntu 14.04. Is
there anything I can do to help track this down? This has been
frustrating me for the past 4 hours as to why I can't burn a video file
onto a DVD so my parents can watch it on their TV...

I've tried every suggestion in this thread, and there was no change in
the behavior of the program, though everything that was suggested to
install was already in the system. I tried deinstallign and reinstalling
jsut to be sure, but no dice.

--
You received this bug notification because you are subscribed to a
duplicate bug report (322769).
https://bugs.launchpad.net/bugs/270976

Title:
  [SRU] gst-plugins-bad0.10 needs rebuilding with mjpegtools to enable
  burning video with Brasero

Status in A disc burning application for gnome 2:
  Invalid
Status in “brasero” package in Ubuntu:
  Invalid
Status in “gst-plugins-bad-multiverse0.10” package in Ubuntu:
  Fix Released
Status in “brasero” source package in Jaunty:
  Invalid
Status in “gst-plugins-bad-multiverse0.10” source package in Jaunty:
  Won't Fix

Bug description:
  I'm using Brasero 0.8.2 on Intrepid. Now brasero seems to have video
  DVD support, but if I try to burn a video file, in the burn dialogue
  the burn button is greyed out without a clue of how to fix the
  problem. That's very disorienting.

  SRU JUSTIFICATION:

  With brasero being the default burning application in Jaunty, many
  users will want to burn Video-CDs/DVDs. The problem is that gst-
  plugins-bad miss some ffmpeg-encoders due to not being built with
  mjpegtools support. From the buildlog:

  configure: *** Plug-ins with dependencies that will NOT be built:
      mpeg2enc
      mplex

  This results in brasero not being able to burn Video.

  The issue can be fixed by adding libmjpegtools-dev (>= 1.9.0) to the
  build-depends.

  SRU TEST CASE:

  Make sure you got all the necessary plugins installed:

  gstreamer0.10-plugins-bad, gstreamer0.10-ffmpeg, gstreamer0.10
  -plugins-bad-multiverse, libavcodec-unstripped-52 and vcdimager

  Open brasero with "brasero -g > log.txt 2>&1"

  Check in log.txt that the libbrasero-vob.so plugin fails to load.

  Now install gstreamer0.10-plugins-bad-multiverse from ppa
  (https://edge.launchpad.net/~amoog/+archive/ppa/)

  Reopen brasero again, you'll now notice that libbrasero-vob.so plugin
  will load. Consequently, Video burning now works as expected.

  NOTE: due to bug 351017 you will encounter a SIGILL if you convert
  video to mpeg2 and are running a non-pentium4 architecture. A fix for
  that has already been accepted in jaunty-proposed.

  SRU REGRESSION POTENTIAL:

  Low to non-existent since there is no code change and only 2 plugins
  more are built and installed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/brase...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.